USE ChangeTracking
GO

CREATE TABLE src.[PayHistory](
	[EmployeeID] [INT] NOT NULL,
	[PayAmount] [MONEY] NULL,
	[PayDate] [DATE] NULL
) 


INSERT src.PayHistory (EmployeeID, PayDate)
SELECT EmployeeID, '11/15/2016'
--SELECT Em, 11 + (CAST(RAND(EmployeeID) * 100 AS INT) % 27)
FROM dbo.Employees
WHERE Active = 1

UPDATE ph
SET ph.PayAmount = (SELECT (37.725 * (11 + (CAST(RAND(EmployeeID) * 100 AS INT) % 27))) [PayAmount]
				FROM src.PayHistory 
				WHERE PayDate = ph.PayDate
				AND EmployeeID = ph.EmployeeID)
FROM src.PayHistory ph

SELECT * FROM src.PayHistory
ORDER BY 1, 3 DESC
