USE [master]
GO

IF EXISTS (SELECT 1 FROM sys.databases WHERE name = 'TemporalSales')
BEGIN
	ALTER DATABASE TemporalSales SET SINGLE_USER WITH ROLLBACK IMMEDIATE
	DROP DATABASE [TemporalSales]
END
GO

/****** Object:  Database [TemporalSales]    Script Date: 10/9/2017 8:06:14 PM ******/
CREATE DATABASE [TemporalSales]
GO

ALTER DATABASE [TemporalSales] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [TemporalSales] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [TemporalSales] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [TemporalSales] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [TemporalSales] SET ARITHABORT OFF 
GO

ALTER DATABASE [TemporalSales] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [TemporalSales] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [TemporalSales] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [TemporalSales] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [TemporalSales] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [TemporalSales] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [TemporalSales] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [TemporalSales] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [TemporalSales] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [TemporalSales] SET  DISABLE_BROKER 
GO

ALTER DATABASE [TemporalSales] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [TemporalSales] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [TemporalSales] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [TemporalSales] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [TemporalSales] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [TemporalSales] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [TemporalSales] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [TemporalSales] SET RECOVERY FULL 
GO

ALTER DATABASE [TemporalSales] SET  MULTI_USER 
GO

ALTER DATABASE [TemporalSales] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [TemporalSales] SET DB_CHAINING OFF 
GO

ALTER DATABASE [TemporalSales] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [TemporalSales] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO

ALTER DATABASE [TemporalSales] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [TemporalSales] SET QUERY_STORE = OFF
GO

USE [TemporalSales]
GO

ALTER DATABASE SCOPED CONFIGURATION SET LEGACY_CARDINALITY_ESTIMATION = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET LEGACY_CARDINALITY_ESTIMATION = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET MAXDOP = 0;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET MAXDOP = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET PARAMETER_SNIFFING = ON;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET PARAMETER_SNIFFING = PRIMARY;
GO

ALTER DATABASE SCOPED CONFIGURATION SET QUERY_OPTIMIZER_HOTFIXES = OFF;
GO

ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET QUERY_OPTIMIZER_HOTFIXES = PRIMARY;
GO

ALTER DATABASE [TemporalSales] SET  READ_WRITE 
GO


